Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.ohf.ihe.common.cdar2
Class ParticipationTargetDevice

    java.lang.Object
      org.eclipse.emf.common.util.AbstractEnumerator
          org.eclipse.ohf.ihe.common.cdar2.ParticipationTargetDevice

All Implemented Interfaces:
  org.eclipse.emf.common.util.Enumerator

    public final class ParticipationTargetDevice

extends org.eclipse.emf.common.util.AbstractEnumerator

A representation of the literals of the enumeration 'Participation Target Device', and utility methods for working with them. specDomain: V10298 (C-0-D10901-V10286-V10298-cpt)

See Also:
  `CDAR2Package.getParticipationTargetDevice()`

Field Summary
`static int` | `DEV` The 'DEV' literal value.
`static ParticipationTargetDevice` | `DEV_LITERAL` The 'DEV' literal object.
`static int` | `NRD` The 'NRD' literal value.
`static ParticipationTargetDevice` | `NRD_LITERAL` The 'NRD' literal object.
`static int` | `RDV` The 'RDV' literal value.
`static ParticipationTargetDevice` | `RDV_LITERAL` The 'RDV' literal object.
`static java.util.List` | `VALUES` A public read-only list of all the 'Participation Target Device' enumerators.

Method Summary
`static ParticipationTargetDevice` | `get(int value)` Returns the 'Participation Target Device' literal with the specified integer value.
`static ParticipationTargetDevice` | `get(java.lang.String literal)` Returns the 'Participation Target Device' literal with the specified literal value.
`static ParticipationTargetDevice` | `getByName(java.lang.String name)` Returns the 'Participation Target Device' literal with the specified name.

Methods inherited from class org.eclipse.emf.common.util.AbstractEnumerator
`getLiteral, getName, getValue, toString`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### DEV

    public static final int DEV

  The 'DEV' literal value.

  If the meaning of 'DEV' literal object isn't clear, there really should be more of a description here...

  See Also:
    `DEV_LITERAL`, Constant Field Values

### NRD

    public static final int NRD

  The 'NRD' literal value.

  If the meaning of 'NRD' literal object isn't clear, there really should be more of a description here...

  See Also:
    `NRD_LITERAL`, Constant Field Values

### RDV

    public static final int RDV

  The 'RDV' literal value.

  If the meaning of 'RDV' literal object isn't clear, there really should be more of a description here...

  See Also:
    `RDV_LITERAL`, Constant Field Values

### DEV_LITERAL

    public static final ParticipationTargetDevice DEV_LITERAL

  The 'DEV' literal object.

  See Also:
    `DEV`

### NRD_LITERAL

    public static final ParticipationTargetDevice NRD_LITERAL

  The 'NRD' literal object.

  See Also:
    `NRD`

### RDV_LITERAL

    public static final ParticipationTargetDevice RDV_LITERAL

  The 'RDV' literal object.

  See Also:
    `RDV`

### VALUES

    public static final java.util.List VALUES

  A public read-only list of all the 'Participation Target Device' enumerators.

Method Detail

### get

    public static ParticipationTargetDevice get(java.lang.String literal)

  Returns the 'Participation Target Device' literal with the specified literal value.

### getByName

    public static ParticipationTargetDevice getByName(java.lang.String name)

  Returns the 'Participation Target Device' literal with the specified name.

### get

    public static ParticipationTargetDevice get(int value)

  Returns the 'Participation Target Device' literal with the specified integer value.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD